# This project uses a strange release numbering system, based on the
# year, month, and release number.
%define POSTYEAR 2014
%define POSTMONTH 02
%define POSTNUM 2

Name:           libbtbb
Version:        %{POSTYEAR}.%{POSTMONTH}.R%{POSTNUM}
Release:        1%{?dist}
Summary:        A Bluetooth baseband decoding library
License:        GPLv2
URL:            https://github.com/greatscottgadgets/libbtbb
Source0:        https://github.com/greatscottgadgets/libbtbb/archive/%{POSTYEAR}-%{POSTMONTH}-R%{POSTNUM}.tar.gz

BuildRequires:  libusb1-devel cmake libpcap-devel gcc-c++
Requires:       pyside-tools pyusb numpy

%description
This is the Bluetooth baseband decoding library, forked from the GR-Bluetooth 
project. It can be used to extract Bluetooth packet and piconet information 
from Ubertooth devices as well as GR-Bluetooth/USRP.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{POSTYEAR}-%{POSTMONTH}-R%{POSTNUM}


%build
mkdir build
cd build
%cmake ..
make %{?_smp_mflags}


%install
cd build
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc
%{_libdir}/*.so.*

%files devel
%doc
%{_includedir}/*
%{_libdir}/*.so
%{_bindir}/btaptap

%changelog
* Thu May 29 2014 Jared Smith <jsmith@fedoraproject.org> 2014-02-R2-1
- Initial import
